Cannot launch VR in Linux Xubuntu


#1

Running Linux Xubuntu 16.04 (64-bit) with GTK3
Ruby 2.3.1
Glade 3.18.3

VR installed without any issue. However, I cannot launch VR. I get the
message below. I am puzzled. Does anyone know how I can correct this?

randy@coach-randy:~$ vr
/var/lib/gems/2.3.0/gems/gobject-introspection-3.1.0/lib/gobject-introspection/loader.rb:37:in
require': Typelib file for namespace 'GtkSource' (any version) not found (GLib::Error) from /var/lib/gems/2.3.0/gems/gobject-introspection-3.1.0/lib/gobject-introspection/loader.rb:37:inload’
from
/var/lib/gems/2.3.0/gems/gtksourceview3-3.1.0/lib/gtksourceview3.rb:52:in
init' from /var/lib/gems/2.3.0/gems/gtksourceview3-3.1.0/lib/gtksourceview3.rb:37:inconst_missing’
from
/var/lib/gems/2.3.0/gems/visualruby-3.0.23/src/editor/VR_Document.rb:2:in
<top (required)>' from /var/lib/gems/2.3.0/gems/require_all-1.3.3/lib/require_all.rb:108:inrequire’
from
/var/lib/gems/2.3.0/gems/require_all-1.3.3/lib/require_all.rb:108:in
block in require_all' from /var/lib/gems/2.3.0/gems/require_all-1.3.3/lib/require_all.rb:106:ineach’
from
/var/lib/gems/2.3.0/gems/require_all-1.3.3/lib/require_all.rb:106:in
require_all' from /var/lib/gems/2.3.0/gems/require_all-1.3.3/lib/require_all.rb:153:inblock in require_rel’
from
/var/lib/gems/2.3.0/gems/require_all-1.3.3/lib/require_all.rb:152:in
each' from /var/lib/gems/2.3.0/gems/require_all-1.3.3/lib/require_all.rb:152:inrequire_rel’
from /var/lib/gems/2.3.0/gems/visualruby-3.0.23/vr:18:in
load_everything' from /var/lib/gems/2.3.0/gems/visualruby-3.0.23/vr:41:inblock in
<top (required)>’
from
/var/lib/gems/2.3.0/gems/gobject-introspection-3.1.0/lib/gobject-introspection/loader.rb:107:in
invoke' from /var/lib/gems/2.3.0/gems/gobject-introspection-3.1.0/lib/gobject-introspection/loader.rb:107:inblock in define_singleton_method’
from /var/lib/gems/2.3.0/gems/visualruby-3.0.23/vr:44:in <top (required)>' from /usr/local/bin/vr:22:inload’
from /usr/local/bin/vr:22:in `’